org.keycloak.subsystem.extension

## Class SecureDeploymentDefinition

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.keycloak.subsystem.extension.SecureDeploymentDefinition

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class SecureDeploymentDefinition
      extends org.jboss.as.controller.SimpleResourceDefinition

  Defines attributes and operations for a secure-deployment.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static List<org.jboss.as.controller.SimpleAttributeDefinition>` | `ALL_ATTRIBUTES`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `BEARER_ONLY`
    `protected static List<org.jboss.as.controller.SimpleAttributeDefinition>` | `DEPLOYMENT_ONLY_ATTRIBUTES`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `PUBLIC_CLIENT`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `REALM`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `RESOURCE`
    `static String` | `TAG_NAME`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `USE_RESOURCE_ROLE_MAPPINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureDeploymentDefinition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.as.controller.SimpleAttributeDefinition` | `lookup(String name)`
    `void` | `registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`
    `void` | `registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getAccessConstraints, getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerChildren, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_NAME

          public static final String TAG_NAME

      See Also:
        Constant Field Values

    - #### REALM

          protected static final org.jboss.as.controller.SimpleAttributeDefinition REALM

    - #### RESOURCE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition RESOURCE

    - #### USE_RESOURCE_ROLE_MAPPINGS

          protected static final org.jboss.as.controller.SimpleAttributeDefinition USE_RESOURCE_ROLE_MAPPINGS

    - #### BEARER_ONLY

          protected static final org.jboss.as.controller.SimpleAttributeDefinition BEARER_ONLY

    - #### PUBLIC_CLIENT

          protected static final org.jboss.as.controller.SimpleAttributeDefinition PUBLIC_CLIENT

    - #### DEPLOYMENT_ONLY_ATTRIBUTES

          protected static final List<org.jboss.as.controller.SimpleAttributeDefinition> DEPLOYMENT_ONLY_ATTRIBUTES

    - #### ALL_ATTRIBUTES

          protected static final List<org.jboss.as.controller.SimpleAttributeDefinition> ALL_ATTRIBUTES

  - ### Constructor Detail

    - #### SecureDeploymentDefinition

          public SecureDeploymentDefinition()

  - ### Method Detail

    - #### registerOperations

          public void registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerOperations` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerOperations` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### registerAttributes

          public void registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerAttributes` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerAttributes` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### lookup

          public static org.jboss.as.controller.SimpleAttributeDefinition lookup(String name)

Copyright © 2014. All Rights Reserved.